Loading...
Searching...
No Matches
log4shib::LayoutAppender Class Reference

LayoutAppender is a common superclass for all Appenders that require a Layout. More...

`#include <LayoutAppender.hh>`

Inheritance diagram for log4shib::LayoutAppender:
[legend]
Collaboration diagram for log4shib::LayoutAppender:
[legend]

## Public Types

typedef BasicLayout | DefaultLayoutType

## Public Member Functions

| LayoutAppender (const std::string &name)
virtual | ~LayoutAppender ()
virtual bool | requiresLayout () const
| Check if the appender requires a layout.
virtual void | setLayout (Layout *layout=NULL)
| Set the Layout for this appender.
Public Member Functions inherited from log4shib::AppenderSkeleton
virtual | ~AppenderSkeleton ()
| Destructor for AppenderSkeleton.
virtual void | doAppend (const LoggingEvent &event)
| Log in Appender specific way.
virtual bool | reopen ()
| Reopens the output destination of this Appender, e.g.
virtual void | close ()=0
| Release any resources allocated within the appender such as file handles, network connections, etc.
virtual void | setThreshold (Priority::Value priority)
| Set the threshold priority of this Appender.
virtual Priority::Value | getThreshold ()
| Get the threshold priority of this Appender.
virtual void | setFilter (Filter *filter)
| Set a Filter for this appender.
virtual Filter * | getFilter ()
| Get the Filter for this appender.
Public Member Functions inherited from log4shib::Appender
virtual | ~Appender ()
| Destructor for Appender.
const std::string & | getName () const
| Get the name of this appender.

## Protected Member Functions

Layout & | _getLayout ()
| Return the layout of the appender.
Protected Member Functions inherited from log4shib::AppenderSkeleton
| AppenderSkeleton (const std::string &name)
| Constructor for AppenderSkeleton.
virtual void | _append (const LoggingEvent &event)=0
| Log in Appender specific way.
Protected Member Functions inherited from log4shib::Appender
| Appender (const std::string &name)
| Constructor for Appender.

## Additional Inherited Members

Static Public Member Functions inherited from log4shib::Appender
static Appender * | getAppender (const std::string &name)
| Get a pointer to an exitsing Appender.
static bool | reopenAll ()
| Call reopen() on all existing Appenders.
static void | closeAll ()
| Call reopen() on all existing Appenders.

## Detailed Description

LayoutAppender is a common superclass for all Appenders that require a Layout.

## Member Typedef Documentation

## DefaultLayoutType

typedef BasicLayout log4shib::LayoutAppender::DefaultLayoutType

## Constructor & Destructor Documentation

## LayoutAppender()

log4shib::LayoutAppender::LayoutAppender | ( | const std::string & | name | ) |

## ~LayoutAppender()

log4shib::LayoutAppender::~LayoutAppender | ( |  | ) |

virtual

## Member Function Documentation

## _getLayout()

Layout & log4shib::LayoutAppender::_getLayout | ( |  | ) |

protected

Return the layout of the appender.

This method is the Layout accessor for subclasses of LayoutAppender.

Returns
  the Layout.

## requiresLayout()

bool log4shib::LayoutAppender::requiresLayout | ( |  | ) | const

virtual

Check if the appender requires a layout.

All LayoutAppenders do, therefore this method returns true for all subclasses.

Returns
  true.

Implements log4shib::AppenderSkeleton.

## setLayout()

void log4shib::LayoutAppender::setLayout | ( | Layout * | layout = NULL | ) |

virtual

Set the Layout for this appender.

Parameters

  layout | The layout to use.

Implements log4shib::AppenderSkeleton.

The documentation for this class was generated from the following files:

- LayoutAppender.hh
- LayoutAppender.cpp